Skip to main content
GET
/
groups
/
{guid}
/
scopes
/
{scope}
/
permissions
List Scope Permissions
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/scopes/{scope}/permissions \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "id": "addReaction",
      "type": "scope",
      "title": "Allows member to list the members with specified scope",
      "description": "Allows member to list the members with specified scope",
      "dataType": "string",
      "availableValues": [
        "allow",
        "deny"
      ],
      "defaultValue": "allow",
      "createdAt": 1765962204,
      "updatedAt": 1765962204
    },
    {
      "id": "sendMessage",
      "type": "scope",
      "title": "Allows/Denies sending messages",
      "description": "Allows/Denies sending messages",
      "dataType": "string",
      "availableValues": [
        "allow",
        "deny"
      ],
      "defaultValue": "allow",
      "createdAt": 1765962204,
      "updatedAt": 1765962204
    },
    {
      "id": "initiateCall.allowedType",
      "type": "scope",
      "title": "Allows members to initiate call with the specified types",
      "description": "Allows members to initiate call with the specified types",
      "dataType": "stringArray",
      "availableValues": [
        "audio",
        "video"
      ],
      "createdAt": 1765962204,
      "updatedAt": 1765962204,
      "defaultValue": []
    }
  ],
  "meta": {
    "pagination": {
      "total": 11,
      "count": 11,
      "per_page": 100,
      "current_page": 1,
      "total_pages": 1
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-android-v6-beta2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

guid
string
required

The group GUID to update scope permissions for

Example:

"supergroup"

scope
string
required

The scope identifier (e.g., admin, moderator, participant)

Example:

"admin"

Response

200 - application/json

Lists scope permissions

data
object[]
meta
object